Bug 1412398 - Recommended packages are installed even if removed in kickstart
Summary: Recommended packages are installed even if removed in kickstart
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1421610
TreeView+ depends on / blocked
 
Reported: 2017-01-11 23:51 UTC by Miro Hrončok
Modified: 2018-05-29 12:07 UTC (History)
9 users (show)

Fixed In Version: anaconda-28.17-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 12:07:44 UTC
Type: Bug


Attachments (Terms of Use)
flat-fedora-live-python-classroom.ks for the reproducer (14.97 KB, text/plain)
2017-01-11 23:51 UTC, Miro Hrončok
no flags Details

Description Miro Hrončok 2017-01-11 23:51:15 UTC
Created attachment 1239672 [details]
flat-fedora-live-python-classroom.ks for the reproducer

Situation:

python3-tox recommends couple of packages:

$ rpm -q --recommends python3-tox
pypy
pypy3
python26
python27
python33
python34
python35

I want to include python3-tox in kickstart but I don't want to include all of the recommended packages to save space.


So I have this in %packages:

python3-tox
-pypy
-python26
-python33
-python34
-python35


Nevertheless those are pulled in:
2017-01-11 23:39:19,828 INFO livemedia-creator: Installing pypy.x86_64 (703/1148)
2017-01-11 23:41:55,280 INFO livemedia-creator: Installing python26.x86_64 (1027/1148)
2017-01-11 23:41:55,280 INFO livemedia-creator: Installing python33.x86_64 (1028/1148)
2017-01-11 23:41:55,280 INFO livemedia-creator: Installing python34.x86_64 (1029/1148)
2017-01-11 23:41:55,284 INFO livemedia-creator: Installing python35.x86_64 (1064/1148)


Version-Release number of selected component (if applicable):
26.3-2.fc26
25.17-1.fc25

How reproducible:
In 25 and rawhide mock.

Steps to Reproduce:
1. livemedia-creator --make-iso --no-virt --ks /root/flat-fedora-live-python-classroom.ks --release 26


Actual results:
pypy, python26, python33, python34 and python35 are installed in the image

Expected results:
pypy, python26, python33, python34 and python35 are not installed in the image

Note that I was not able to create iso in rawhide mock due to bz1412391 but the log already revealed this.
Also the iso created in F25 mock contains those and they can be safely removed via dnf when the iso is booted (so they are not pulled in as a dependency of another package).

Attaching flat-fedora-live-python-classroom.ks

Comment 1 Fedora End Of Life 2017-02-28 10:56:04 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Miro Hrončok 2017-03-03 12:49:55 UTC
This is also an option in Koji.

See https://koji.fedoraproject.org/koji/packageinfo?packageID=23843

It contains python26 and others even when explicitly minused.

Comment 3 Miro Hrončok 2017-03-03 12:50:40 UTC
s/an option/an issue/

Comment 4 Neal Gompa 2017-06-26 03:47:33 UTC
The way to fix this is to make it so that packages not wanted are set as excluded from the DNF sack.

I've done this change in livecd-tools for this reason: https://github.com/livecd-tools/livecd-tools/commit/617e737474fb17da0e266422367e56ec54516bec

I ported this change to Anaconda (which is what actually does the real processing for lorax): https://github.com/rhinstaller/anaconda/pull/917

This is also the same solution that is used for other similar media creation tools (such as KIWI from SUSE, which the "ignore" tag for packages does the same thing).

Comment 5 Brian Lane 2017-07-10 20:20:30 UTC
This isn't something that lmc has any control over. It will need to be addressed by Anaconda.

Comment 6 Jiri Konecny 2018-01-03 10:09:27 UTC
PR: https://github.com/rhinstaller/anaconda/pull/917

Comment 7 Fedora End Of Life 2018-05-03 08:25:32 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2018-05-29 12:07:44 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.